Skip to main content
POST
/
knowledge-base
/
{kb_id}
/
source
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "url": "<string>",
  "status": "<string>",
  "processing_status": "<string>",
  "chunks_count": 0,
  "mime_type": "<string>",
  "size": 123,
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

kb_id
string<uuid>
required

Body

application/json

Request body for adding a source to a knowledge base.

name
string
required

Display name for the source

type
string
required

Source type: file, url, text

url
string | null

URL for url-type sources

content
string | null

Text content for text-type sources

Response

Successful Response

Source record returned by the API.

id
string
required
name
string
required
type
string
required
url
string | null
status
string | null
processing_status
string | null
chunks_count
integer | null
default:0
mime_type
string | null
size
integer | null
created_at
string | null
updated_at
string | null